version: "3.7"

services:
  postgres:
    image: postgres:10.5
    restart: always
    environment:
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=postgres
    logging:
      options:
        max-size: 10m
        max-file: "3"
    ports:
      - "443:5432"
    volumes:
      - ./volumes/postgres:/var/lib/postgresql/data
      # copy the sql script to create tables
      - ./data/postgres/create_tables.sql:/docker-entrypoint-initdb.d/create_tables.sql

  cloudbeaver:
    image: dbeaver/cloudbeaver:latest
    restart: always
    ports:
      - "80:8978"
    volumes:
      - ./volumes/cloudbeaver:/opt/cloudbeaver/workspace
    depends_on:
      - postgres
